<?php

/**
 * Class CaracteristiqueValeur
 *
 * @property integer $caracteristique_valeur_id
 * @property integer $caracteristique_id
 * @property string $caracteristique_code
 * @property integer $caracteristique_valeur_rang
 * @property integer $caracteristique_valeur_statut_id
 * @property integer $caracteristique_valeur_visible_filtre
 * @property integer $caracteristique_rang
 * @property integer $caracteristique_statut_id
 * @property integer $caracteristique_valeur_nom_id
 * @property string $caracteristique_valeur_nom_nom
 * @property integer $langue_id
 * @property string $caracteristique_valeur_nom_desc
 * @property string $caracteristique_valeur_nom_tag
 * @property string $caracteristique_valeur_nom_menu
 */
class CaracteristiqueValeur extends Model {

    protected $table = "caracteristique_valeur";

    public function __construct($id = null)
    {
        $this->innerJoin[] = array('caracteristique', 'c.caracteristique_id', 'cv.caracteristique_id');
        $this->innerJoin[] = array(
            'caracteristique_nom',
            'AND',
            array('c.caracteristique_id', 'cn.caracteristique_id'),
            array('cn.langue_id', Boutique::getInstance()->getLangue()->id)
        );

        parent::__construct($id);
    }

}