{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/history-->

    <h1 class="titleLvl4">{txt value="Mes commandes"}</h1>

    {foreach $commandes as $cmd}
        <div class="historyOrderBlock clearfix">
            <div class="historyRecapBlock">
                <div class="row">
                    <div class="col-sm-8">
                        <p>{txt value="Commande n°"} : <span class="orderId">{$cmd.commande_id}</span></p>
                        <p>{txt value="Date"} : {$cmd.commande_date_ajout|date_format:"%d/%m/%Y"}</p>
                        <p class="statut hidden-sm hidden-md hidden-lg">{txt value="Statut"} : {$cmd.commande_statut_nom_nom}</p>
                        <p>{$cmd.commande_nb_articles} {txt value="Article(s)"}</p>
                        <p class="price">{price ttc=$cmd.total_ttc ht=$cmd.total_ht}</p>
                    </div>
                    {*TODO FRONT : le style ne s'applique pas même quand la class est mises*}
                    <div class="hidden-xs statut {if $cmd.commande_statut_id > 1}{else}waitingPayment{/if}">{*TODO : condition ne fonctionne pas --> exemple repris de lama*}
                    <span class="historyListingStatutName">
                        {*{if $commande.commande_statut_id > COMMANDE::STATUT_ATTENTE}*}
                            {*{txt value="Paiement autorisé"}*}
                        {*{else}*}
                            {*{txt value="En attente de paiement"}*}
                        {*{/if}*}
                        {$cmd.commande_statut_nom_nom}
                    </span>
                    </div>
                </div>
            </div>
            <div class="historyOrderNav">
                <div class="row">
                    <div class="col-sm-6">
                        <a href="{url page="commande_details" id=$cmd.commande_id}" class="mainLink">{txt value="Voir le détail"}</a>
                    </div>
                    <div class="col-sm-6">
                        <form action="{url page="add_cart_from_history"}" method="post" id="addFromHistoryForm">
                            <input type="hidden" name="commande_id" value="{$cmd.commande_id}">
                            <button class="btn btnMain wide smaller" id="addFromHistoryBtn" type="submit">{txt value="Renouveler ma commande"}</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        {foreachelse}

        <div class="msginfo clearfix">
            {txt value="Vous n'avez passé encore aucune commande"}
        </div>

    {/foreach}

{/block}

{block name="script-js"}
    <script type="application/javascript">
        $(document).ready(function () {
            $('form#addFromHistoryForm').on('submit',function (e) {
                e.preventDefault();
                var p = new Panier();
                p.addFromHistory($(this));
            });
        });
    </script>

{/block}