<?php

/**
 * Smarty plugin
 * -------------------------------------------------------------
 * File:     function.video.php
 * Type:     function
 * Name:     video
 * Purpose:  outputs video
 * -------------------------------------------------------------
 */
function smarty_function_video($params, Smarty_Internal_Template $template) {
    $src = $params['src'];
    unset($params['src']);
    $width = $height = null;
    if(array_key_exists('width', $params)){
        $width = $params['width'];
        unset($params['width']);
    }
    if(array_key_exists('height', $params)){
        $height = $params['height'];
        unset($params['height']);
    }

    $embed = Video::videoLinkToEmbed($src, $width, $height);
    foreach($params as $name => $value){
        $embed = Video::addEmbedAttribute($embed, $name, $value);
    }


    return $embed;
}
