{extends file='layout/layout.tpl'}

{block name="bodyClass"}pageStyleguide{/block}



{block name="content"}
    <!--styleguide-->

    <div class="styleguide">
        <div class="container">

            {* //MENU *}
            <div class="menuStyleguide d-xs-none d-sm-none d-xl-block">
                <ul class="list-unstyled">
                    <li><a class="smoothscroll" href="#blockColorsStyleguide">Colors</a></li>
                    <li><a class="smoothscroll" href="#blockTitlesStyleguide">Typography</a></li>
                    <li><a class="smoothscroll" href="#blockButtonsStyleguide">Buttons</a></li>
                    <li><a class="smoothscroll" href="#blockModalsStyleguide">Modals</a></li>
                    <li><a class="smoothscroll" href="#blockElementsStyleguide">Elements</a></li>
                    {*<li><a class="smoothscroll" href="#blockCollapseStyleguide">Collapse</a></li>*}
                    <li><a class="smoothscroll" href="#blockFormsStyleguide">Forms</a></li>
                    <li><a class="smoothscroll" href="#blockTableStyleguide">Tables</a></li>
                    {*<li><a class="smoothscroll" href="#blocSliderStyleguide">Slider</a></li>*}
                    <li><a class="smoothscroll" href="#blockProductStyleguide">Product</a></li>
                    {*<li><a class="smoothscroll" href="#blockContentStyleguide">Content</a></li>*}
                    {*<li><a class="smoothscroll" href="#blockHelpersStyleguide">Helpers</a></li>*}
                </ul>
            </div>
            {* MENU// *}

            {* COLORS *}
            <section id="blockColorsStyleguide">
                <h2 class="sectionTitle">Colors</h2>
                <div class="row">
                    <div class="col-sm">
                        <span class="styleguidecolor bg-primary"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-secondary"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-tertiary"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-gradient"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-dark"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-light"></span>
                    </div>
                    <div class="col-sm">
                        <span class="styleguidecolor bg-white"></span>
                    </div>
                </div>
            </section>
            {* //COLORS *}

            {* TITLES AND TEXTS *}
            <section id="blockTitlesStyleguide">
                <h2 class="sectionTitle">Typography</h2>
                <div class="row">
                    <div class="col-sm">
                        <h1 class="h1">Titre niveau 1</h1>
                        <h2 class="h2">Titre niveau 2</h2>
                        <h3 class="h3">Titre niveau 3</h3>
                        <h4 class="h4">Titre niveau 4</h4>
                        <h5 class="h5">Titre niveau 5</h5>
                        <pre><code>&lt;h1 class="h1"&gt;&lt;/h1&gt;
&lt;h2 class="h2"&gt;&lt;/h2&gt;
&lt;h3 class="h3"&gt;&lt;/h3&gt;
&lt;h4 class="h4"&gt;&lt;/h4&gt;
&lt;h5 class="h5"&gt;&lt;/h5&gt;</code></pre>

                    </div>
                </div>
            </section>
            {* // TITLES AND TEXTS *}

            {* BUTTONS *}
            <section id="blockButtonsStyleguide" class="buttons">
                <h2 class="sectionTitle">Buttons</h2>
                <div class="row">
                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" type="" context="primary" context_hover="" icon_text="" text="Bouton principal"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" href="" type="button" context="primary" context_hover="" icon_text="" text="Bouton principal"}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" context="primary" context_hover="" icon_text="" text=""}
{include file="elements/button.tpl" tag="button" href="" type="button" context="primary" context_hover="" icon_text="" text=""}</code></pre>{/literal}
                    </div>
                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" type="" context="dark" context_hover="primary" icon_text="" text="Bouton secondaire"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" href="" type="button" context="dark" context_hover="primary" icon_text="" text="Bouton secondaire"}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" context="dark" context_hover="primary" icon_text="" text=""}
{include file="elements/button.tpl" tag="button" href="" type="button" context="dark" context_hover="primary" icon_text="" text=""}</code></pre>{/literal}
                    </div>

                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" type="" context="link" context_hover="primary" icon_text="&#10095;" text="Exemple de lien type 1"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" href="" type="button" context="link" context_hover="primary" icon_text="&#10095;" text="Exemple de bouton type 1"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" href="" type="submit" context="link" context_hover="primary" icon_text="&#10095;" text="Exemple de submit type 1"}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" context="link" context_hover="primary" icon_text="+" text=""}
{include file="elements/button.tpl" tag="button" href="" type="button" context="link" context_hover="primary" icon_text="+" text=""}
{include file="elements/button.tpl" tag="button" href="" type="submit" context="link" context_hover="primary" icon_text="+" text=""}</code></pre>{/literal}
                    </div>
                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" type="" context="link" context_hover="primary" icon_text="" text="Exemple de lien type 2"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" href="" type="button" context="link" context_hover="primary" icon_text="" text="Exemple de bouton type 2"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" href="" type="submit" context="link" context_hover="primary" icon_text="" text="Exemple de submit type 2"}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" context="link" context_hover="primary" icon_text="" text=""}
{include file="elements/button.tpl" tag="button" href="" type="button" context="link" context_hover="primary" icon_text="" text=""}
{include file="elements/button.tpl" tag="button" href="" type="submit" context="link" context_hover="primary" icon_text="" text=""}</code></pre>{/literal}
                    </div>

                </div>

            </section>
            {* // BUTTONS*}

            {*MODALS*}
            <section class="blockModalsStyleguide" id="blockModalsStyleguide">
                <h2 class="sectionTitle">Modal</h2>
                <div class="row">
                    <div class="col-sm-6">
                        {include file="elements/button_modal.tpl" data_target="modal-example" type="button" context="dark" context_hover="primary" icon_text="" text="Modal example"}
                        {literal}<pre><code>{include file="elements/button_modal.tpl" data_target="modal-example" type="button" context="dark" context_hover="primary" icon_text="" text="Modal example"}
{block name="modal" append}
    {include file="modal/modal_example.tpl"}
{/block}</code></pre>{/literal}
                    </div>
                    <div class="col-sm-6">
                        {include file="elements/button_modal.tpl" data_target="modal-example-xl" type="button" context="dark" context_hover="primary" icon_text="" text="Modal example xlarge"}
                        {literal}<pre><code>{include file="elements/button_modal.tpl" data_target="modal-example-xl" type="button" context="dark" context_hover="primary" icon_text="" text="Modal example xlarge"}
{block name="modal" append}
    {include file="modal/modal_example_xl.tpl"}
{/block}</code></pre>{/literal}
                    </div>
                </div>
            </section>
            {* // MODALS*}

            {*ELEMENTS*}
            <section class="blockElementsStyleguide" id="blockElementsStyleguide">
                <h2 class="sectionTitle">Elements</h2>
                <div class="row">
                    <div class="col">
                        <a class="titleCollapse collapsed" data-toggle="collapse" href="#collapse1" role="button" aria-expanded="false" aria-controls="collapse1">
                            Titre du collapse
                            {include file="icons/arrow.tpl"}
                        </a>
                        <div class="collapse multi-collapse" id="collapse1">
                            <div class="collapseBody">
                                Contenu du collapse
                            </div>
                        </div>
                        {literal}<pre><code>&lt;a class="titleCollapse collapsed" data-toggle="collapse" href="#collapse1" role="button" aria-expanded="false" aria-controls="collapse1">
    Titre du collapse
    {include file="icons/arrow.tpl"}
&lt;/a>
&lt;div class="collapse multi-collapse" id="collapse1">
    &lt;div class="collapseBody">
        Contenu du collapse
    &lt;/div>
&lt;/div></code></pre>{/literal}
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col">
                        {include file="elements/alert.tpl" tag="p" context="success" class="" icon=false text="Exemple de message de validation"}
                        {include file="elements/alert.tpl" tag="p" context="success" class="" icon=true text="Exemple de message de validation"}
                        {literal}<pre><code>{include file="elements/alert.tpl" tag="p" context="success" class="" icon=false text=""}
{include file="elements/alert.tpl" tag="p" context="success" class="" icon=true text=""}</code></pre>{/literal}
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col">
                        {include file="elements/alert.tpl" tag="p" context="danger" class="" icon=false text="Exemple de message d'erreur"}
                        {include file="elements/alert.tpl" tag="p" context="danger" class="" icon=true text="Exemple de message d'erreur"}
                        {literal}<pre><code>{include file="elements/alert.tpl" tag="p" context="danger" class="" icon=false text=""}
{include file="elements/alert.tpl" tag="p" context="danger" class="" icon=true text=""}</code></pre>{/literal}
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col">
                        {include file="elements/alert.tpl" tag="p" context="info" class="" icon=false text="Exemple de message d'information"}
                        {include file="elements/alert.tpl" tag="p" context="info" class="" icon=true text="Exemple de message d'information"}
                        {literal}<pre><code>{include file="elements/alert.tpl" tag="p" context="info" class="" icon=false text=""}
{include file="elements/alert.tpl" tag="p" context="info" class="" icon=true text=""}</code></pre>{/literal}
                    </div>
                </div>
            </section>
            {* // ELEMENTS*}

            {* FORMS ELEMENTS *}
            <section id="blockFormsStyleguide">
                <h2 class="sectionTitle">Forms</h2>
                <div class="row">
                    <div class="col-sm">

                        {* QUANTITE *}
                        {*<div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="qty">
                                        <button class="qtyMinus"></button>
                                        <input type="number" id="" name="" value="1" class="form-control">
                                        <button class="qtyPlus"></button>
                                    </div>
                                </div>
                                <code>
                                    &lt;div class="form-group"&gt;<br />
                                    &lt;div class="qty"&gt;<br />
                                    &lt;button class="qtyMinus"&gt;&lt;/button&gt;<br />
                                    &lt;input type="number" id="" name="" value="1" class="form-control"&gt;<br />
                                    &lt;button class="qtyPlus"&gt;&lt;/button&gt;<br />
                                    &lt;/div&gt;<br />
                                    &lt;/div&gt;
                                </code>
                            </div>
                        </div>*}
                        {* // QUANTITE *}

                        {* CHECKBOX / RADIO *}
                        <div class="row">
                            <div class="col-xl-6">
                                <div class="form-group">
                                    <div class="btn-group-toggle" data-toggle="buttons">
                                        {include file="form/input/checkbox_button.tpl" context="dark" name="checkbox_button" id="checkbox_button1" value="Checkbox actif" checked=true}
                                        {include file="form/input/checkbox_button.tpl" context="dark" name="checkbox_button" id="checkbox_button2" value="Checkbox" checked=false}
                                    </div>
                                </div>
                                {literal}<pre><code>&lt;div class="btn-group-toggle" data-toggle="buttons"&gt;
    {include file="form/input/checkbox_button.tpl" context="dark" name="" id="" value="" checked=true}
    {include file="form/input/checkbox_button.tpl" context="dark" name="" id="" value="" checked=false}
&lt;/div&gt;</code></pre>{/literal}
                            </div>
                            <div class="col-xl-6">
                                <div class="form-group">
                                    <div class="btn-group-toggle" data-toggle="buttons">
                                        {include file="form/input/checkbox_button.tpl" inputType="radio" context="dark" name="radio_button" id="radio_button1" value="Radio actif" checked=true}
                                        {include file="form/input/checkbox_button.tpl" inputType="radio" context="dark" name="radio_button" id="radio_button2" value="Radio" checked=false}
                                    </div>
                                </div>
                                {literal}<pre><code>&lt;div class="btn-group-toggle" data-toggle="buttons"&gt;
    {include file="form/input/checkbox_button.tpl" inputType="radio" context="dark" name="" id="" value="" checked=true}
    {include file="form/input/checkbox_button.tpl" inputType="radio" context="dark" name="" id="" value="" checked=false}
&lt;/div&gt;</code></pre>{/literal}
                            </div>
                        </div>

                        <hr class="mt-0" />
                        <div class="row">
                            <div class="col-xl-6">
                                <div class="form-group checkboxList">
                                    <label class="checkboxListLabel">Label</label>
                                    {include file="form/input/checkbox.tpl" name="checkbox" id="checkbox_1" label="Item 1"}
                                    {include file="form/input/checkbox.tpl" name="checkbox" id="checkbox_2" label="Item 2"}
                                </div>
                                {literal}<pre><code>&lt;div  class="form-group checkboxList"&gt;
    &lt;label class="checkboxListLabel">Label&lt;/label>
    {include file="form/input/checkbox.tpl" name="" id="" label=""}
    {include file="form/input/checkbox.tpl" name="" id="" label=""}
&lt;/div&gt;</code></pre>{/literal}
                            </div>
                            <div class="col-xl-6">
                                <div class="form-group radioList">
                                    <label class="radioListLabel">Label</label>
                                    {include file="form/input/checkbox.tpl" inputType="radio" name="radio" id="radio_1" label="Item 1"}
                                    {include file="form/input/checkbox.tpl" inputType="radio" name="radio" id="radio_2" label="Item 2"}
                                </div>
                                {literal}<pre><code>&lt;div  class="form-group radioList"&gt;
    &lt;label class="radioListLabel">Label&lt;/label>
    {include file="form/input/checkbox.tpl" inputType="radio" name="" id="" label=""}
    {include file="form/input/checkbox.tpl" inputType="radio" name="" id="" label=""}
&lt;/div&gt;</code></pre>{/literal}
                            </div>
                        </div>
                        {* // CHECKBOX / RADIO *}

                        <hr class="mt-0" />
                        <fieldset class="formFieldset">
                            {*<legend class="formLegend">Exemple de fieldset</legend>*}

                            {* INPUT TEXT *}
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txt1" id="txt1" label="Exemple de champ obligatoire" required=true disabled=false}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" required=true disabled=false}
&lt;/div&gt;</code></pre>
                                        {/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <hr class="d-xl-none mt-0" />
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txt2" id="txt2" label="Exemple de champ inactif" required=false disabled=true}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" required=false disabled=true}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txt3" id="txt3" label="Exemple de champ valide" required=false disabled=false context="valid" feedback_text=""}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" required=false disabled=false context="valid" feedback_text=""}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <hr class="d-xl-none mt-0" />
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txt4" id="txt4" label="Exemple de champ invalide" required=false disabled=false context="invalid" feedback_text="Exemple de message d'erreur"}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" required=false disabled=false context="invalid" feedback_text=""}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            {* // INPUT TEXT *}

                            {* UPLOAD *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/upload.tpl" nomChamp="file1" label="Exemple de champ obligatoire d'upload" required=true}
                                        {literal}<pre><code>{include file="form/input/upload.tpl" nomChamp="" label="" required=true}</code></pre>{/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/upload.tpl" nomChamp="file2" label="Exemple de champ d'upload" required=false}
                                        {literal}<pre><code>{include file="form/input/upload.tpl" nomChamp="" label="" required=false}</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            {* // UPLOAD *}

                            {* INPUT DATE *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/date.tpl" name="date1" id="date1" label="Exemple de datepicker obligatoire" required=true disabled=false}
                                        {literal}<pre><code>{include file="form/input/date.tpl" name="" id="" label="" required=true disabled=false}</code></pre>{/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/date.tpl" name="date2" id="date2" label="Exemple de datepicker" required=false disabled=false}
                                        {literal}<pre><code>{include file="form/input/date.tpl" name="" id="" label="" required=false disabled=false}</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            {* // INPUT DATE *}

                            {* INPUT + SUBMIT *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txtGroup1" id="txtGroup1" label="Exemple de label" btn="OK"}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" btn="OK"}
&lt;/div&gt;</code></pre>
                                        {/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txtGroup2" id="txtGroup2" label="Exemple de label" btn="OK" btnClass="btn-primary"}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" btn="OK" btnClass="btn-primary"}
&lt;/div&gt;</code></pre>
                                        {/literal}
                                    </div>
                                </div>
                            </div>
                            {* // INPUT + SUBMIT *}

                            {* SELECT *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/select.tpl" name="select1" id="select1" placeholder="Exemple de select obligatoire" label="" required=true disabled=false}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/select.tpl" name="" id="" placeholder="" label="" required=true disabled=false}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/select.tpl" name="select2" id="select2" placeholder="Exemple de select" label="" required=false disabled=false}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/select.tpl" name="" id="" placeholder="" label="" required=false disabled=false}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            {* // SELECT *}

                            {* TEXTAREA *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-sm">
                                    <div class="form-group">
                                        {include file="form/input/textarea.tpl" name="textarea1" id="textarea1" label="Exemple de label" required=true disabled=false}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/textarea.tpl" name="" id="" label="" required=true disabled=false}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            {* // TEXTAREA *}

                        </fieldset>

                    </div>
                    <div class="col-sm hidden">
                        {* SELECT *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <select name="sujet" class="selectpicker" id="select" title="--- Votre choix ---">
                                        <option value="1">Option 1</option>
                                        <option value="2">Option 2</option>
                                        <option value="3">Option 3</option>
                                    </select>
                                </div>
                                <code>
                                    &lt;div class="form-group"&gt;<br />
                                    &lt;select name="sujet" class="selectpicker" id="select" title="--- Votre choix ---"&gt;<br />
                                    &lt;option value="1"&gt;Option 1&lt;/option&gt;<br />
                                    &lt;option value="2"&gt;Option 2&lt;/option&gt;<br />
                                    &lt;option value="3"&gt;Option 3&lt;/option&gt;<br />
                                    &lt;/select&gt;<br />
                                    &lt;/div&gt;
                                </code>
                            </div>
                        </div>
                        {* // SELECT *}

                        {* INPUT FILE *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="wrapFloatLabel wrapInputfile input-group">
                                        <input type="file" class="file form-control">
                                        <div class="input-group-prepend">
                                            <button class="btn btn-primary" type="button">Parcourir</button>
                                        </div>
                                        <input type="text" class="form-control" disabled="" placeholder="Choisissez votre fichier">
                                    </div>
                                </div>
                            </div>
                        </div>
                        {* // INPUT FILE *}

                        {* INPUT SUBMIT *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <div class="wrapFloatLabel input-group">
                                        <input type="text" class="form-control floatLabelInput" id="txtGroup1">
                                        <label for="txtGroup1" class="floatLabel"><span class="floatLabelContent">Exemple de label</span></label>
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">OK</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {*<div class="row">*}
                        {*<div class="col-sm">*}
                        {*<div class="form-group">*}
                        {*<div class="wrapFloatLabel input-group">*}
                        {*<input type="text" class="form-control floatLabelInput" id="txtGroup2">*}
                        {*<label for="txtGroup2" class="floatLabel"><span class="floatLabelContent">Exemple de label</span></label>*}
                        {*<div class="input-group-append">*}
                        {*<button class="btn btn-outline-secondary" type="button">OK</button>*}
                        {*</div>*}
                        {*</div>*}
                        {*</div>*}
                        {*</div>*}
                        {*</div>*}
                        {* // INPUT SUBMIT *}

                        {* FORM-ROW *}
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-row">
                                    <div class="col">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="name" class="form-control floatLabelInput">
                                            <label for="name" class="floatLabel"><span class="floatLabelContent">Nom</span></label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="firstName" class="form-control floatLabelInput">
                                            <label for="firstName" class="floatLabel"><span class="floatLabelContent">Prénom</span></label>
                                        </div>
                                    </div>
                                </div>
                                <code>
                                    &lt;div class="form-row"&gt;<br />
                                    &lt;div class="col"&gt;<br />
                                    &lt;div class="wrapFloatLabel"&gt;<br />
                                    &lt;input type="text" id="name" class="form-control floatLabelInput"&gt;<br />
                                    &lt;label for="name" class="floatLabel"&gt;&lt;span class="floatLabelContent"&gt;Nom&lt;/span&gt;&lt;/label&gt;<br />
                                    &lt;/div&gt;<br />
                                    &lt;/div&gt;<br />
                                    &lt;div class="col"&gt;<br />
                                    &lt;div class="wrapFloatLabel"&gt;<br />
                                    &lt;input type="text" id="firstName" class="form-control floatLabelInput"&gt;<br />
                                    &lt;label for="firstName" class="floatLabel"&gt;&lt;span class="floatLabelContent"&gt;Prénom&lt;/span&gt;&lt;/label&gt;<br />
                                    &lt;/div&gt;<br />
                                    &lt;/div&gt;<br />
                                    &lt;/div>
                                </code>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm">
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="inputCity" class="form-control floatLabelInput">
                                            <label for="inputCity" class="floatLabel"><span class="floatLabelContent">Ville</span></label>
                                        </div>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <div class="wrapFloatLabel">
                                            <select name="inputState" class="selectpicker" id="inputState">
                                                <option value="">Pays</option>
                                                <option value="1">Option 1</option>
                                                <option value="2">Option 2</option>
                                                <option value="3">Option 3</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <div class="wrapFloatLabel">
                                            <input type="text" id="inputZip" class="form-control floatLabelInput">
                                            <label for="inputZip" class="floatLabel"><span class="floatLabelContent">CP</span></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm">
                                <p class="alert alert-success">Message de confirmation</p>
                                <p class="alert alert-danger">Message d'erreur</p>
                                <p class="alert alert-info">Message d'informations</p>
                                <code>
                                    &lt;p class="alert alert-success"&gt;Message de confirmation&lt;/p&gt;<br /><br />
                                    &lt;p class="alert alert-danger"&gt;Message d'erreur&lt;/p&gt;<br /><br />
                                    &lt;p class="alert alert-info"&gt;Message d'informations&lt;/p&gt;
                                </code>
                                {*<p class="alert alert-warning">Exemple de message de notification</p>*}
                            </div>
                        </div>
                        {* // FORM-ROW *}

                    </div>
                </div>
            </section>
            {* // FORMS ELEMENTS *}

            {* TABLE *}
            <section id="blockTableStyleguide">
                <h2 class="sectionTitle">Tables</h2>
                <div class="row">
                    <div class="col-md">
                        <div class="table">
                            <div class="tableRow tableTitle">
                                <div class="tableCell">Tableau type 2 (div)</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A<br>sur deux lignes</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md">
                        <table class="table">
                            <tr class="tableRow tableTitle">
                                <th class="tableCell" colspan="2">Tableau type 2 (table)</th>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A<br>sur deux lignes</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                        </table>
                    </div>
                </div>

            </section>
            {* // TABLE *}

            {* BLOC PRODUIT *}
            <section class="blockProductStyleguide" id="blockProductStyleguide">
                <h2 class="sectionTitle">Blocs produits</h2>
                <div class="row">
                    {for $col=1 to 3}
                        <div class="col col-sm-6 col-md-6 col-lg-4 d-flex align-items-stretch">
                            {include file="product/card_product_listing.tpl"}
                        </div>
                    {/for}
                </div>
                <div class="row">
                    <div class="col">
                        {literal}<pre><code>{include file="product/card_product_listing.tpl"}</code></pre>{/literal}
                    </div>
                </div>
            </section>
            {* // BLOC PRODUIT *}

        </div>
    </div>
{/block}

{block name="modal"}
    {include file="modal/modal_example.tpl"}
    {include file="modal/modal_example_xl.tpl"}
{/block}